#include <util/stream/output.h>
#include <library/cpp/string_utils/url/url.h>

#include <library/cpp/getopt/modchooser.h>
#include <library/cpp/getopt/last_getopt.h>

#include <mapreduce/yt/interface/client.h>

#include <wmconsole/version3/wmcutil/yt/yt_utils.h>

#include "config.h"
#include "collect_host_favicons.h"
#include "update_samovar_snapshot.h"


namespace NWebmaster {

} //namespace NWebmaster

int main(int argc, const char **argv) {
    NYT::Initialize(argc, argv);
    using namespace NWebmaster;

    TModChooser modChooser;
    modChooser.AddMode("UpdateSamovarSnapshot", UpdateSamovarSnapshot, "UpdateSamovarSnapshot");
    modChooser.AddMode("CollectHostFaviconsAndProblems", CollectHostFaviconsAndProblems, "CollectHostFaviconsAndProblems");

    return modChooser.Run(argc, argv);
}

